On Sun, 2019-09-08 at 17:05 +0100, Stephen Finucane wrote:
> In commit ab0c443691, we switched from using commit ranges to fixed
> ranges. This was a good idea in so far as it ensures we're providing an
> application with dependencies that are guaranteed to work. However,
> Patchwork as a project isn't active enough to warrant the continued busy
> work effort necessary to keep bumping these versions and it's probably
> about time to abandon the experiment. However, rather than switching
> back to version ranges, use the compatible releases feature introduced
> in PEP 440 [1]. This gives us most of the benefits of ranges but with a
> nicer syntax.
> 
> [1] https://www.python.org/dev/peps/pep-0440/#compatible-release
> 
> Signed-off-by: Stephen Finucane <step...@that.guru>
> Cc: Daniel Axtens <d...@axtens.net>

Passes everthing locally so I've gone ahead and merged this.

Now to get openapi-core 0.9.0+ working.

Stephen

_______________________________________________
Patchwork mailing list
Patchwork@lists.ozlabs.org
https://lists.ozlabs.org/listinfo/patchwork

Reply via email to